package com.ruoyi.project.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.project.bo.ProjectStaffRecordInput;
import com.ruoyi.project.bo.ProjectStaffRecordOut;
import com.ruoyi.project.domain.ProjectStaffRecord;

import java.util.List;

public interface ProjectStaffRecordService {
    AjaxResult add(ProjectStaffRecord in);

    AjaxResult update(ProjectStaffRecord in);

    AjaxResult examineRecord(ProjectStaffRecord in);

    List<ProjectStaffRecordOut> listRecord(ProjectStaffRecordInput in);
}
